from .comlib import *

class WorkerModelSigmoid(fed_learning.WorkerModelR):
    def __init__(self, modelSetup, workerDataset):
        super().__init__(modelSetup, workerDataset)
        self.sigmoid=nn.Sigmoid()
    
    def getValue(self,chosen_workers: list[int],batch_size):
        return self.getChosenWorkersValue(self.sigmoid,chosen_workers,batch_size)
    
    def getGrad(self,chosen_workers: list[int],batch_size):
        return self.getChosenWorkersGrad(self.sigmoid,chosen_workers,batch_size)